SessionHandler Class Referenceabstract

`#include <jinglesessionhandler.h>`

## Public Member Functions

virtual | ~SessionHandler ()
virtual void | handleSessionAction (Action action, Session *session, const Session::Jingle *jingle)=0
virtual void | handleSessionActionError (Action action, Session *session, const Error *error)=0
virtual void | handleIncomingSession (Session *session)=0

## Detailed Description

A Jingle session handler.

Author
  Jakob Schröter js@ca.nosp@m.maya.nosp@m..net

Since
  1.0.5

Definition at line 32 of file jinglesessionhandler.h.

## Constructor & Destructor Documentation

## ~SessionHandler()

virtual ~SessionHandler | ( |  | ) |

inline virtual

Virtual destructor.

Definition at line 38 of file jinglesessionhandler.h.

## Member Function Documentation

## handleIncomingSession()

virtual void handleIncomingSession | ( | Session * | session | ) |

pure virtual

This function is called if a remote entity wants to establish a Jingle session.

Parameters

  session | The new Jingle session.

Note
  Note that you have to explicitely accept or reject the session by calling either of session->sessionAccept() and session->sessionTerminate(), respectively.

## handleSessionAction()

virtual void handleSessionAction | ( | Action | action,
|  | Session * | session,
|  | const Session::Jingle * | jingle )

pure virtual

This function is called when the remote party requests an action to be taken.

Parameters

  action | The requested action. A convenience parameter, identical to jingle->action().
  session | The affected session.
  jingle | The complete Jingle.

Note
  Note that an action can cause a session state change. You may check using session->state().
  Also note that you have to reply to most actions, usually with the *Accept or *Reject counterpart, using the similarly-named functions that Session offers.

## handleSessionActionError()

virtual void handleSessionActionError | ( | Action | action,
|  | Session * | session,
|  | const Error * | error )

pure virtual

This function is called when a request to a remote entity returns an error.

Parameters

  action | The Action that failed.
  session | The affected session.
  error | The error. May be 0 in special cases.

Note
  Note that an action can cause a session state change. You may check using session->state().

The documentation for this class was generated from the following file:

- jinglesessionhandler.h